<template lang="pug">
.col-12
  draggable.my-1(:list='positions' tag='ul' class='list-group' ghost-class='list-group-item-primary' handle='.x-grip')
    li.list-group-item.d-flex.align-items-center.justify-content-between.px-0.py-1(
        v-for='(position, idx) in positions' :key='idx')
      div.px-2.b-clickable.x-grip #[i.fa.fa-grip-vertical]
      .row.no-gutters.flex-grow-1
        BaseInput.col-6.px-1(v-model='position.name' placeholder='Name ...'
          :inEdit='true' :noEditIcon='true')
        BaseInput.col-6.px-1(v-model='position.position' placeholder='Position ...'
          :inEdit='true' type='number' v-slot='input')
          .input-group.col-12
            input.text-right.text-sm-center(ref='input' v-model='position.position')
            BaseAnimationBlock(anim='width')
              .input-group-append(key='0' v-if='input.hasFocus'
                      title='current position'
                      @mousedown.prevent='' @click="setCurrentPosition(idx)")
                label.input-group-text.b-clickable #[i.fa.fa-crosshairs.px-1.ml-1]
      div.px-2.b-clickable(@click='removeAt(idx)') #[i.fa.fa-times]
  .d-flex.justify-content-end
    button.btn.btn-outline-dark.ml-1(@click='add()') #[i.fa.fa-plus.mr-1] Add
    button.btn.btn-primary.ml-1(@click='send()')
      kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
      i.fa.fa-upload.mr-1(v-else)
      | Submit
</template>
<script src='./PositionEdit.vue.js' />
